<?php
  //solicitamos archivo de conexion a mysql
  require_once('../../../conf/connection.php');
  //si an pulsado el boton de enviar
  $enviar=$_POST["enviar"];
  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $idplatos=stripslashes($_POST["idplatos"]);
	  $nombre=stripslashes($_POST["nombre"]);
	  $grupos=stripslashes($_POST["grupos"]);
	  $estado=stripslashes($_POST["estado"]);
	  $precio=stripslashes($_POST["precio"]);
	  $stock=stripslashes($_POST["stock"]);

if( $idplatos=="" or $nombre=="" or $grupos=="" or $estado=="" ){ ?> 
<script>alert("Error: Existen campos vacios"); window.history.back(); </script> 
<? }else{	
	  //comprobamos si la identidad personal de esta persona existe
	  //si existiera no haremos nada!. Mediante un query
	  $comprobar="select * from platos where idplatos=\"$idplatos\"";
	  //Enviamos el query a Mysql mediante la funcion de PHP mysql_query()
	  $r_ide=mysql_query($comprobar,$conn) or die("Error en el query: ".mysql_error());
	  //Vemos si el query nos mando registros y cuantos mediante mysql_num_rows()
	  $nr_ide=mysql_num_rows($r_ide);
	    //Es decir si devolvio registros
		if($nr_ide>0)
		{
			//Construimos el query!
			 $modificar="UPDATE platos SET descrip_plato='$nombre',
			 estado_plato='$estado', precio_plato='$precio', 
			 stock_plato='$stock', idgrupos='$grupos' WHERE idplatos='$idplatos'";
	
			//enviamos el query mediante la funcion mysql_query()
			mysql_query($modificar, $conn) or die("Error en el query: ".mysql_error());
			mysql_close($conn);
			?> <script> alert("Registro modificado con exito!"); window.close();</script> <?
		}
  }
  //si no han pulsado el bonton enviar, suponemos que han cargado el archivo adicionar.php
  //y se mostrara el formulario! :)
  }
  else
  {
	  ?> <script> alert("Intento ilegal de llamar al SCRIPT!"); window.close();</script> <?
  }
?>